[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'sqldb' (#fcl)

# TSQLStatement.DataSource

Datasource to copy parameter values from

## Declaration

Source position: sqldb.pp line 283

`published property TSQLStatement.DataSource : TDataSource;`

## Description

Datasource can be set to a #fcl.db.TDatasource instance. When Execute is called, any unbound parameters remain empty, but if DataSource is set, the value of these parameters will be searched in the fields of the associated dataset. If a field with a name equal to the parameter is found, the value of that field is copied to the parameter. No such field exists, an exception is raised.

## See also

#fcl.db.TDatasource |  | Component representing the link between a local (GUI) component and a dataset
Execute |  | Execute the SQL statement.
#fcl.db.TParam.Bound |  | Is the parameter value bound (set to fixed value)

Documentation generated on: Feb 26 2014